using System;
using System.Collections;

namespace InfiniTec.SystemUtilities.DataAccess
{
	/// <summary>
	/// Summary description for Folder.
	/// </summary>
	public class Folder: Element, IEnumerable, IElement, IFolder
	{
		Hashtable _Elements;

		public int Count 
		{
			get 
			{
				return _Elements.Count;
			}
		}

		public Folder(string uri): base(uri)
		{
			_Elements = new Hashtable();
		}

		public virtual IDictionary Elements
		{
			get 
			{
				return _Elements;
			}
		}

		public IEnumerator GetEnumerator() 
		{
			return _Elements.GetEnumerator();
		}

	}
}
