using System;

namespace InfiniTec.SystemUtilities.DataAccess
{
	/// <summary>
	/// Summary description for IProperty.
	/// </summary>
	public interface IProperty
	{
		event PropertyChangeEventHandler ValueChange;

		bool Changed {get;}
		string Name {get; }
		string DataType {get; }
		object Value {get; set;}
		bool ReadOnly {get;}
	}
}
