using System;

namespace InfiniTec.SystemUtilities.DataAccess
{
	/// <summary>
	/// Summary description for HashtableModifiedEventArgs.
	/// </summary>
	public class PropertyChangedEventArgs: EventArgs
	{
		IProperty _Property;

		public IProperty Property 
		{
			get { return  _Property; }
		}

		private PropertyChangedEventArgs() {}
		public PropertyChangedEventArgs(IProperty property)
		{
			_Property = property;
		}
	}
}
