using System;
using InfiniTec.SystemUtilities.DataAccess;

using InfiniTec.WebDAV;

namespace InfiniTec.WebDAV
{
	/// <summary>
	/// Summary description for IWebDAVFolder.
	/// </summary>
	public interface IWebDAVFolder: IWebDAVElement, IFolder
	{
		event StatusChangedEventHandler StatusChanged;
		void Move(IWebDAVFolder destination, params IWebDAVElement[] elements);
		void Copy(IWebDAVFolder destination, params IWebDAVElement[] elements);
		void Delete(params IWebDAVElement[] elements);
		IWebDAVElement[] Search(string conditions, params string[] propertiesToLoad);

	}
}
