using System;

namespace InfiniTec.WebDAV
{
	/// <summary>
	/// Summary description for Response.
	/// </summary>
	public class Response
	{
		int _StatusCode;
		string _Status;
		string _HRef;

		public int StatusCode 
		{
			get { return _StatusCode; }
		}
		public string Status 
		{
			get { return _Status; }
		}
		public string HRef 
		{
			get { return _HRef; }
		}

		public Response(string status, string href) 
		{
			_Status = status;
			_HRef = href;
			_StatusCode = int.Parse(status.Substring(9, 3));
		}
	}
}
