using System;
using System.Collections;

namespace InfiniTec.SystemUtilities.DataAccess
{
	/// <summary>
	/// Summary description for IElement.
	/// </summary>
	public interface IElement
	{
		event EventHandler Deleted;
		event ElementRenamedEventHandler Renamed;
		event PropertyChangeEventHandler PropertyChange;
		event PropertyChangeEventHandler PropertyAdd;
		event PropertyChangeEventHandler PropertyRemove;

		PropertyCollection Properties {get; }

		string Uri {get; }
	}
}
