using System;

namespace InfiniTec.SystemUtilities.DataAccess
{
	/// <summary>
	/// Summary description for PropertyDescription.
	/// </summary>
	public class PropertyDescription
	{
		private string _Name;
		private string _DisplayName;
		private string _Description;

		public string Name 
		{
			get { return _Name; }
		}

		public string DisplayName
		{
			get { return _DisplayName; }
		}

		public string Description
		{
			get { return _Description; }
		}

		public PropertyDescription(string name, string displayName, string description) 
		{
			_Name = name;
			_DisplayName = displayName;
			_Description = description;
		}
	}
}
