using System;
using System.Drawing;
using System.Windows.Forms;
using System.Windows.Forms.Design;
using System.Drawing.Design;

namespace InfiniTec.SystemUtilities.DataAccess
{
	/// <summary>
	/// Summary description for PropertyStringEditor.
	/// </summary>
	public class PropertyStringEditor: UITypeEditor
	{
		public PropertyStringEditor()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public override UITypeEditorEditStyle GetEditStyle(System.ComponentModel.ITypeDescriptorContext context)
		{
			return UITypeEditorEditStyle.Modal;
		}

		public override object EditValue(System.ComponentModel.ITypeDescriptorContext context, IServiceProvider provider, object value)
		{
			StringEditorDialog editor;
			IWindowsFormsEditorService service;

			service = (IWindowsFormsEditorService) provider.GetService(typeof(IWindowsFormsEditorService));

			editor = new StringEditorDialog();
			editor.Value = (string) value;

			if (service.ShowDialog(editor) == DialogResult.OK) return editor.Value;
			else return value;
		}

	}
}
