using System;
using System.Net;

namespace InfiniTec.WebDAV
{
	/// <summary>
	/// Summary description for Status.
	/// </summary>
	public struct Status
	{
		HttpStatusCode _StatusCode;
		String _Uri;

		public HttpStatusCode StatusCode 
		{
			get { return _StatusCode; }
		}

		public String Uri 
		{
			get { return _Uri; }
		}

		public Status(string uri, HttpStatusCode statusCode) 
		{
			_Uri = uri;
			_StatusCode = statusCode;
		}
	}
}